%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)" 2>/dev/null)}
%{?!pybasever: %global pybasever %(%{__python} -c "import sys; print sys.version[:3]" 2>/dev/null || echo 0.0)}

Name:		python-twisted-names
Version:	10.0.0
Release:	1.0.cf%{?dist}
Summary:	A Twisted DNS implementation
Group:		Development/Libraries
License:	MIT
URL:		http://twistedmatrix.com/trac/wiki/TwistedNames
Source0:	http://tmrc.mit.edu/mirror/twisted/Names/10.0/TwistedNames-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	python-twisted-core >= 10.0.0, python-devel
%if "%{pybasever}" == "2.3"
Requires: python-abi = 2.3
%endif
Requires:	python-twisted-core >= 10.0.0

# a noarch-turned-arch package should not have debuginfo
%global debug_package %{nil}

%description
Twisted is an event-based framework for Internet applications.

Twisted Names is both a domain name server as well as a client resolver
library. Twisted Names comes with an "out of the box" nameserver that can read
most BIND-syntax zone files as well as a simple Python-based configuration
format. Twisted Names can act as an authoritative server, perform zone
transfers from a master to act as a secondary, act as a caching nameserver, or
any combination of these. Twisted Names' client resolver library provides
functions to query for all commonly-used record types as well as a replacement
for the blocking gethostbyname() function provided by the Python stdlib socket
module.

%prep
%setup -n TwistedNames-%{version} -q

# Fix doc file deps
%{__chmod} -x doc/examples/*.py

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --install-purelib %{python_sitearch} --skip-build --root %{buildroot}

# See if there's any egg-info
if [ -f %{buildroot}%{python_sitearch}/Twisted_Names-%{version}-py%{pybasever}.egg-info ]; then
	echo %{python_sitearch}/Twisted_Names-%{version}-py%{pybasever}.egg-info
fi > egg-info

%clean
%{__rm} -rf %{buildroot}

%post
if [ -x %{_libexecdir}/twisted-dropin-cache ]; then
	%{_libexecdir}/twisted-dropin-cache || :
fi

%postun
if [ -x %{_libexecdir}/twisted-dropin-cache ]; then
	%{_libexecdir}/twisted-dropin-cache || :
fi

%files -f egg-info
%defattr(-,root,root,-)
%doc README LICENSE doc/* NEWS
%{python_sitearch}/twisted/names/
%{python_sitearch}/twisted/plugins/twisted_names.py*

%changelog
* Thu Mar  4 2010 Paul Howarth <paul@city-fan.org> 10.0.0-1.0.cf
- update to 10.0.0 (see NEWS for details)

* Wed Nov 25 2009 Paul Howarth <paul@city-fan.org> 9.0.0-1.0.cf
- update to 9.0.0

* Fri Aug  7 2009 Paul Howarth <paul@city-fan.org> 8.2.0-3.0.cf
- define RPM macros in global scope
- tidy up egg-info handling

* Sun Jul 26 2009 Paul Howarth <paul@city-fan.org> 8.2.0-2.0.cf
- rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jan 16 2009 Paul Howarth <paul@city-fan.org> 8.2.0-1.0.CF
- update to 8.2.0
- make sure the scriplets never return a non-zero exit status

* Mon May 19 2008 Paul Howarth <paul@city-fan.org> 8.1.0-1
- update to 8.1.0

* Tue Apr  1 2008 Paul Howarth <paul@city-fan.org> 8.0.0-1
- update to 8.0.0
- handle egg-info if present

* Wed Jan 10 2007 Paul Howarth <paul@city-fan.org> 0.4.0-1
- update to 0.4.0
- require python-twisted-core >= 2.5.0
- include NEWS

* Thu Jan  4 2007 Paul Howarth <paul@city-fan.org> 0.3.0-5
- update URL
- include LICENSE
- include %%post and %%postun scriptlets to manage the dropin cache

* Tue Dec 12 2006 Paul Howarth <paul@city-fan.org> 0.3.0-4
- reinstate tabs
- reinstate python-devel buildreq for python 2.5 on Rawhide

* Mon Aug 28 2006 Paul Howarth <paul@city-fan.org> 0.3.0-3
- drop python-twisted-flow dependency
- use more appropriate summary
- don't generate (empty) debuginfo package
- buildreq python-twisted-core >= 2.4.0 but not python-devel
- don't %%ghost .pyo files

* Fri Jun  9 2006 Paul Howarth <paul@city-fan.org> 0.3.0-2
- build as arch-specific package for proper integration with twisted-core
  (see http://www.redhat.com/archives/fedora-extras-list/2006-June/msg00264.html)
- script the python files list generation to clean up the spec

* Sun May 28 2006 Paul Howarth <paul@city-fan.org> 0.3.0-1
- update to 0.3.0

* Thu May 11 2006 Paul Howarth <paul@city-fan.org> 0.2.0-2
- add missing buildreq python-twisted-core

* Wed May 10 2006 Paul Howarth <paul@city-fan.org> 0.2.0-1
- update to 0.2.0

* Tue May  9 2006 Paul Howarth <paul@city-fan.org> 0.1.0-3
- import from PyVault Repository
- rewrite in Fedora Extras style

* Tue Aug 23 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-2
- disttag

* Fri Mar 25 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- final release

* Wed Mar 16 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a3
- upstream release

* Sat Mar 12 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-0.1.a2
- prerelease; FE versioning

* Mon Feb 07 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 0.1.0-1
- prep for split

